# PATCH /v1/users/me - Update current user's profile

Source: <https://everruns.com/docs/api/operations/update_profile/>

PATCH

/v1/users/me

Select code samplecURL (shell:curl)

```js
const url = 'https://app.everruns.com/api/v1/users/me';
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json'},
  body: '{"name":"Jane Doe"}'
};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```sh
curl --request PATCH \
  --url https://app.everruns.com/api/v1/users/me \
  --header 'Content-Type: application/json' \
  --data '{ "name": "Jane Doe" }'
```

* Production APIapp.everruns.com/api/v1/users/me

## Request Bodyrequired

Media typeapplication/json

Request to update current user’s profile

object

**name**

required

New display name

string

##### Example

```plaintext
Jane Doe
```

## Responses

### 200

Profile updated

Media typeapplication/json

Response from profile update

object

**avatar\_url**

string | null

**email**

required

string

**id**

required

Prefixed public identifier. See [ID Schema](https://everruns.com/docs/advanced/id-schema/).

string

**name**

required

Human-readable name. Safe to render in user-facing messages.

string

##### Examplegenerated

```json
{
  "avatar_url": "example",
  "email": "example",
  "id": "example",
  "name": "example"
}
```

### 400

Invalid request (empty name)

### 401

Unauthorized

### 500

Internal server error